
C LAST UPDATE:
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C***************************
C**      LSM_SEL_SAVE     **
C***************************
C
C **** LSM SERVICE ROUTINE ONLY ****
C
      SUBROUTINE LSM_SEL_SAVE
C
      INCLUDE 'implicit_none.finc'
C
C Purpose : Save current reflection selection flags
C
C Author:  Steffi Arzt, John Campbell, July 1997
C
C Arguments:
C
C none
C
C Parameters:
C
C none
C
C====== PARAMETERS:
C
      INCLUDE 'limits.finc'
C
C====== GLOBALS:
C
      INCLUDE 'use_reflns.finc'
C
C====== LOCALS:
C
      INTEGER I
      INTEGER J
C
C-------------------------------------------------------------------------------
C
      DO 20 I = 1, MAXPACK
         DO 10 J = 1, MAXPLATES
            PKPL_SAVE(I,J) = PKPL_USE(I,J)
 10      CONTINUE
 20   CONTINUE
      SIGN_SEP_SAVE = SIGN_SEP_USE
      REFINT_SAVE = REFINT_USE
      SPOV_SAVE = SPOV_USE
      OVLD_SAVE = OVLD_USE
      SIGCUT_SAVE = SIGCUT_USE
      
      RETURN
      
      END
